dbXML API

## com.dbxml.db.core.data
Class EmptyRecordSet

    java.lang.Object
      com.dbxml.db.core.data.EmptyRecordSet

All Implemented Interfaces:
  RecordSet

public final class EmptyRecordSet
extends java.lang.Object
implements RecordSet

EmptyRecordSet implements an empty RecordSet.

Constructor Summary
`EmptyRecordSet()`

Method Summary
`Key` `getNextKey()` getNextKey returns the next Record's Key, and skips the RecordSet ahead to the next Record.
`Record` `getNextRecord()` getNextRecord returns the next Record in the set.
`Value` `getNextValue()` getNextValue returns the next Record's Value, and skips the RecordSet ahead to the next Record.
`boolean` `hasMoreRecords()` hasMoreRecords returns whether or not there are any Records left in the set.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyRecordSet

    public EmptyRecordSet()

Method Detail

### hasMoreRecords

    public boolean hasMoreRecords()

  Description copied from interface: `RecordSet`
  hasMoreRecords returns whether or not there are any Records left in the set.

  Specified by:
    `hasMoreRecords` in interface `RecordSet`
  Returns:
    Whether there are any more Records

### getNextRecord

    public Record getNextRecord()

  Description copied from interface: `RecordSet`
  getNextRecord returns the next Record in the set.

  Specified by:
    `getNextRecord` in interface `RecordSet`
  Returns:
    The next Record

### getNextKey

    public Key getNextKey()

  Description copied from interface: `RecordSet`
  getNextKey returns the next Record's Key, and skips the RecordSet ahead to the next Record.

  Specified by:
    `getNextKey` in interface `RecordSet`
  Returns:
    The next Key

### getNextValue

    public Value getNextValue()

  Description copied from interface: `RecordSet`
  getNextValue returns the next Record's Value, and skips the RecordSet ahead to the next Record.

  Specified by:
    `getNextValue` in interface `RecordSet`
  Returns:
    The next Value

dbXML API

Copyright (c) 2004 The dbXML Group